Subject: Re: Draft of Git Rev News edition 18

From: Eric Wong <[email-masked]>
Date: Sun, 14 Aug 2016 23:10:00 +0000

Philip Oakley <[email-masked]> wrote:
> From: "Christian Couder" <[email-masked]>
> >You can also reply to this email.
> 
> I see you mention in passing (weel in the small headings near the bottom)
> that gmane web interface has gone away. It may be worth noting a few of the
> alternatives, and in particular Eric's newly updated public-inbox
> https://public-inbox.org/git/.

Thanks, I will also add that existing gmane links can be looked up
in instance I maintain via:

	public-inbox.org/git/?q=gmane:123456

It might be worth it to convert numeric links to Message-IDs in older
editions, as I also published a mapping at:

   https://public-inbox.org/.temp/gmane.comp.version-control.git-300599.txt.gz

> I've found it very useful and probably easier to use. (now I've seen
> https://public-inbox.org/design_www.html)

Based on closer reading of RFC3986, section 3.3, I deployed a
change to URL generation last night so the "%40" escape for '@'
no longer shows up in generated URLs (along with a few other
characters):

   https://public-inbox.org/meta/[email-masked]/

It might be worth updating this edition to avoid the percent
escaping since it might confuse users about what the Message-IDs
are (and to avoid users passing "%40" into their MUA)

Old URLs will always continue working, of course.